GpgFrontend::UI::KeyServerImportTask Class Reference
Inheritance diagram for GpgFrontend::UI::KeyServerImportTask:
Collaboration diagram for GpgFrontend::UI::KeyServerImportTask:

## Signals

void | SignalKeyServerImportResult (QNetworkReply::NetworkError reply, QByteArray buffer)
Signals inherited from GpgFrontend::Thread::Task
void | SignalTaskFinished ()
void | SignalTaskPostFinishedDone ()

## Public Member Functions

| KeyServerImportTask (std::string keyserver_url, std::vector< std::string > keyid)
| Construct a new Key Server Search Task object. More...
Public Member Functions inherited from GpgFrontend::Thread::Task
| Task ()
| Construct a new Task object. More...
| Task (TaskCallback callback, DataObjectPtr data_object=nullptr)
| Construct a new Task object. More...
| Task (TaskRunnable runnable, TaskCallback callback=[](int, std::shared_ptr< DataObject >) {}, DataObjectPtr data=nullptr)
| Construct a new Task object. More...
virtual | ~Task () override
| Destroy the Task object. More...
virtual void | Run ()
| Run - run the task. More...
std::string | GetUUID () const

## Protected Member Functions

void | run () override
Protected Member Functions inherited from GpgFrontend::Thread::Task
void | SetFinishAfterRun (bool finish_after_run)
| Set the Finish After Run object. More...
void | SetRTN (int rtn)

## Private Slots

void | dealing_reply_from_server ()

## Private Attributes

std::string | keyserver_url_
std::vector< std::string > | keyids_
int | result_count_ = 0
QNetworkAccessManager * | manager_
QNetworkReply * | reply_

## Additional Inherited Members

Public Types inherited from GpgFrontend::Thread::Task
using | DataObjectPtr = std::shared_ptr< DataObject >
using | TaskRunnable = std::function< int(DataObjectPtr)>
using | TaskCallback = std::function< void(int, DataObjectPtr)>

## Constructor & Destructor Documentation

## KeyServerImportTask()

GpgFrontend::UI::KeyServerImportTask::KeyServerImportTask | ( | std::string | keyserver_url,
|  | std::vector< std::string > | keyids
| ) |  |

Construct a new Key Server Search Task object.

Parameters

  keyserver_url |
  search_string | Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

The source code version of this software was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com eric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

## Member Function Documentation

## SignalKeyServerImportResult

void GpgFrontend::UI::KeyServerImportTask::SignalKeyServerImportResult | ( | QNetworkReply::NetworkError | reply,
|  | QByteArray | buffer
| ) |  |

signal

Parameters

  result |

Referenced by GpgFrontend::UI::KeyServerImportDialog::SlotImport().

The documentation for this class was generated from the following files:

- src/ui/thread/KeyServerImportTask.h
- src/ui/thread/KeyServerImportTask.cpp